<?php

namespace Drupal\standwithukraine\Service;

use Drupal\Core\Entity\EntityTypeManagerInterface;
use Drupal\Core\Session\AccountProxyInterface;

/**
 * Defines the access service interface.
 */
interface StandWithUkraineAccessInterface {

  /**
   * StandWithUkraineAccess constructor.
   *
   * @param \Drupal\Core\Session\AccountProxyInterface $current_user
   *   The current active user.
   * @param \Drupal\Core\Entity\EntityTypeManagerInterface $entity_type_manager
   *   The entity type manager.
   */
  public function __construct(
    AccountProxyInterface $current_user,
    EntityTypeManagerInterface $entity_type_manager
  );

  /**
   * Check if module features should be available for the current user.
   *
   * @return bool
   *   TRUE if so.
   */
  public function isAllowed();

}
